Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005WalkCalibrationBasicBehaviors Class Reference

`#include <GT2005WalkCalibrationBasicBehaviors.h>`

Inheritance diagram for GT2005WalkCalibrationBasicBehaviors:

[legend]
Collaboration diagram for GT2005WalkCalibrationBasicBehaviors:

[legend]
List of all members.

## Public Member Functions
| GT2005WalkCalibrationBasicBehaviors (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
| Constructor.
void | registerBasicBehaviors (Xabsl2Engine &engine)
| Registers basic behaviors at the engine.
## Private Attributes
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occurs.
GT2005WalkCalibrationMainBehavior | gt2005WalkCalibrationMainBehavior

## Constructor & Destructor Documentation

GT2005WalkCalibrationBasicBehaviors::GT2005WalkCalibrationBasicBehaviors | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Constructor. Definition at line 125 of file GT2005WalkCalibrationBasicBehaviors.h. References gt2005WalkCalibrationMainBehavior.

## Member Function Documentation

void GT2005WalkCalibrationBasicBehaviors::registerBasicBehaviors | ( | Xabsl2Engine & | engine | ) |

| Registers basic behaviors at the engine. Definition at line 589 of file GT2005WalkCalibrationBasicBehaviors.cpp. References gt2005WalkCalibrationMainBehavior, Xabsl2Engine::registerBasicBehavior(), and GT2005WalkCalibrationMainBehavior::registerSymbols(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2ErrorHandler& GT2005WalkCalibrationBasicBehaviors::errorHandler`[private]`

| Is invoked when errors occurs. Definition at line 137 of file GT2005WalkCalibrationBasicBehaviors.h.

GT2005WalkCalibrationMainBehavior GT2005WalkCalibrationBasicBehaviors::gt2005WalkCalibrationMainBehavior`[private]`

| Definition at line 139 of file GT2005WalkCalibrationBasicBehaviors.h. Referenced by GT2005WalkCalibrationBasicBehaviors(), and registerBasicBehaviors().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005WalkCalibrationBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005WalkCalibrationBasicBehaviors.cpp